#ifndef DEVICECTRLPANEL_H
#define DEVICECTRLPANEL_H

#include "globaldefine.h"
#include "device/ledcard.h"
#include <QScrollArea>
#include <QPushButton>
#include <QToolButton>
#include <QTextEdit>
#include <QLabel>

class DevicePanel;
class DeviceCtrlPanel : public QWidget {
    Q_OBJECT
public:
    explicit DeviceCtrlPanel(DevicePanel *parent = nullptr);

    QTextEdit *fdInfo;
protected:
    void changeEvent(QEvent *) override;
    void transUi();
signals:
    void sigSwitchIndexChanged(int index);
public slots:
    void OnOutputInfo(QString strInfo);

private:
    DevicePanel *mDevWgt;
    QButtonGroup *mBtnGrp;

    QScrollArea *scrollArea;
    QPushButton *btnClear;
    QWidget *wgts[Setting_End]{};
    int curIndex{-1};
};


#endif // DEVICECTRLPANEL_H
